%x,y表示直角坐标，a,b表示极坐标 
function xx_pol=trans(xx1) 
xx_pol=0;

 xx1=xx1+1;
[i,j,v]=find(xx1);
i=i-128;
j=j-128;
[th,r]=cart2pol(i,j);
m=reshape(th,256,256);
m(:,1:127)=m(:,1:127)+2*pi; % m contains the right angel information
m(128:256,128)=0.1;
xx_pol=m;